#ifndef DEBUG_HPP_INCLUDED
#define DEBUG_HPP_INCLUDED

#include "../../Include/Core/Types/Logger.hpp"

#ifndef VERBOSE_LOG_MACRO
#define VERBOSE Debug::Verbose << __PRETTY_FUNCTION__ << " > "
#endif // VERBOSE_LOG_MACRO

class Debug
{
    public:
        static Logger Info;
        static Logger Verbose;
        static Logger Warning;
        static Logger Error;
        static Logger Fatal;
        static Logger Internal;

        static void ShowConsole();
        static void HideConsole();
        static void SetVerbose(bool Toggle);
};


#endif // DEBUG_HPP_INCLUDED
